/********************************************************\
|*                                                      *|
|*   Program:              WinVi                        *|
|*   Author:               Raphael Molle                *|
|*   Compiler:             several (w/ WIN32 support)   *|
|*   --------------------- --------------------------   *|
|*    Copyright 1994-2000 by Raphael Molle, Berlin     *|
|*    Copyleft by GPL     See file COPYING for more    *|
|*                         info about terms of use      *|
|*                                                      *|
\********************************************************/

/* revision log:
 *		3-Dec-2000	first publication of source code
 */

typedef struct tagMAP {
	struct tagMAP *Next;
	PWORD InputMatch;
	PSTR  Name, InputDisplay, Replace;
	DWORD Flags;
} MAP, *PMAP;

#define M_ABBREVIATION 1		/*entry is an abbreviation, otherwise...*/
#define M_INSERTMODE   2		/*map in insert or replace mode*/
#define M_COMMANDMODE  4		/*map in command mode (edit mode)*/
#define M_COMMANDLINE  8		/*map in ex command line mode*/

PMAP FirstMapping;
